Package org.apache.felix.http.base.internal.logger

## Class ConsoleLogger

- java.lang.Object
- - org.apache.felix.http.base.internal.logger.ConsoleLogger

    public final class ConsoleLogger
    extends Object

### Constructor Summary

Constructors
`ConsoleLogger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLogEnabled​(int level)`
`void` `log​(int level, String message, Throwable ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleLogger

    public ConsoleLogger()

### Method Detail

#### log

    public void log​(int level,
                    String message,
                    Throwable ex)

#### isLogEnabled

    public boolean isLogEnabled​(int level)